-- Module      : Network.AWS.MachineLearning
-- Copyright   : (c) 2013-2014 Brendan Hay <brendan.g.hay@gmail.com>
-- License     : This Source Code Form is subject to the terms of
--               the Mozilla Public License, v. 2.0.
--               A copy of the MPL can be found in the LICENSE file or
--               you can obtain it at http://mozilla.org/MPL/2.0/.
-- Maintainer  : Brendan Hay <brendan.g.hay@gmail.com>
-- Stability   : experimental
-- Portability : non-portable (GHC extensions)
--
-- Derived from AWS service descriptions, licensed under Apache 2.0.

-- | Amazon Machine Learning (Amazon ML) is a robust machine learning platform
-- that allows software developers to build and train predictive applications
-- and host those applications in a scalable AWS cloud solution.
module Network.AWS.MachineLearning
    ( module Network.AWS.MachineLearning.CreateBatchPrediction
    , module Network.AWS.MachineLearning.CreateDataSourceFromRDS
    , module Network.AWS.MachineLearning.CreateDataSourceFromRedshift
    , module Network.AWS.MachineLearning.CreateDataSourceFromS
    , module Network.AWS.MachineLearning.CreateEvaluation
    , module Network.AWS.MachineLearning.CreateMLModel
    , module Network.AWS.MachineLearning.CreateRealtimeEndpoint
    , module Network.AWS.MachineLearning.DeleteBatchPrediction
    , module Network.AWS.MachineLearning.DeleteDataSource
    , module Network.AWS.MachineLearning.DeleteEvaluation
    , module Network.AWS.MachineLearning.DeleteMLModel
    , module Network.AWS.MachineLearning.DeleteRealtimeEndpoint
    , module Network.AWS.MachineLearning.DescribeBatchPredictions
    , module Network.AWS.MachineLearning.DescribeDataSources
    , module Network.AWS.MachineLearning.DescribeEvaluations
    , module Network.AWS.MachineLearning.DescribeMLModels
    , module Network.AWS.MachineLearning.GetBatchPrediction
    , module Network.AWS.MachineLearning.GetDataSource
    , module Network.AWS.MachineLearning.GetEvaluation
    , module Network.AWS.MachineLearning.GetMLModel
    , module Network.AWS.MachineLearning.Predict
    , module Network.AWS.MachineLearning.Types
    , module Network.AWS.MachineLearning.UpdateBatchPrediction
    , module Network.AWS.MachineLearning.UpdateDataSource
    , module Network.AWS.MachineLearning.UpdateEvaluation
    , module Network.AWS.MachineLearning.UpdateMLModel
    ) where

import Network.AWS.MachineLearning.CreateBatchPrediction
import Network.AWS.MachineLearning.CreateDataSourceFromRDS
import Network.AWS.MachineLearning.CreateDataSourceFromRedshift
import Network.AWS.MachineLearning.CreateDataSourceFromS
import Network.AWS.MachineLearning.CreateEvaluation
import Network.AWS.MachineLearning.CreateMLModel
import Network.AWS.MachineLearning.CreateRealtimeEndpoint
import Network.AWS.MachineLearning.DeleteBatchPrediction
import Network.AWS.MachineLearning.DeleteDataSource
import Network.AWS.MachineLearning.DeleteEvaluation
import Network.AWS.MachineLearning.DeleteMLModel
import Network.AWS.MachineLearning.DeleteRealtimeEndpoint
import Network.AWS.MachineLearning.DescribeBatchPredictions
import Network.AWS.MachineLearning.DescribeDataSources
import Network.AWS.MachineLearning.DescribeEvaluations
import Network.AWS.MachineLearning.DescribeMLModels
import Network.AWS.MachineLearning.GetBatchPrediction
import Network.AWS.MachineLearning.GetDataSource
import Network.AWS.MachineLearning.GetEvaluation
import Network.AWS.MachineLearning.GetMLModel
import Network.AWS.MachineLearning.Predict
import Network.AWS.MachineLearning.Types
import Network.AWS.MachineLearning.UpdateBatchPrediction
import Network.AWS.MachineLearning.UpdateDataSource
import Network.AWS.MachineLearning.UpdateEvaluation
import Network.AWS.MachineLearning.UpdateMLModel
